<html lang="en">
<head>
<title>Building a drawing - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="Input-language.html#Input-language" title="Input language">
<link rel="next" href="Command-line.html#Command-line" title="Command line">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Building-a-drawing"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Command-line.html#Command-line">Command line</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Input-language.html#Input-language">Input language</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h2 class="chapter">4 Building a drawing</h2>

<p>Successful drawings with <code>sketch</code> and with any scene description
language
<a name="index-scene-description-language-403"></a>require that the user develop an accurate mental picture of her code
and its meaning.  This image is best built in small pieces. 
Therefore, <code>sketch</code> inputs are best created in small increments
with frequent pauses to compile and view the results.  Careful
comments in the input often help as a scene grows in complexity.

<ul class="menu">
<li><a accesskey="1" href="Overview.html#Overview">Overview</a>:                     Building a substantial drawing. 
<li><a accesskey="2" href="A-technical-drawing.html#A-technical-drawing">A technical drawing</a>:          An example with fine placement. 
<li><a accesskey="3" href="A-hierarchical-model.html#A-hierarchical-model">A hierarchical model</a>:         An example with sweeps and puts. 
<li><a accesskey="4" href="Caveats.html#Caveats">Caveats</a>:                      Where trouble can occur. 
</ul>

   </body></html>

